# Uses of Class
java.lang.NoSuchMethodException

Packages that use NoSuchMethodException
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.invoke
The `java.lang.invoke` package provides low-level primitives for interacting with the Java Virtual Machine.
javax.management.relation
Provides the definition of the Relation Service.
javax.script
The scripting API consists of interfaces and classes that define Java Scripting Engines and provides a framework for their use in Java applications.

## Uses of NoSuchMethodException in java.lang

Methods in java.lang that throw NoSuchMethodException
Modifier and Type
Method
Description
`Constructor<T>`
Class.`getConstructor(Class<?>... parameterTypes)`
Returns a `Constructor` object that reflects the specified public constructor of the class represented by this `Class` object.
`Constructor<T>`
Class.`getDeclaredConstructor(Class<?>... parameterTypes)`
Returns a `Constructor` object that reflects the specified constructor of the class or interface represented by this `Class` object.
`Method`
Class.`getDeclaredMethod(String name, Class<?>... parameterTypes)`
Returns a `Method` object that reflects the specified declared method of the class or interface represented by this `Class` object.
`Method`
Class.`getMethod(String name, Class<?>... parameterTypes)`
Returns a `Method` object that reflects the specified public member method of the class or interface represented by this `Class` object.

## Uses of NoSuchMethodException in java.lang.invoke

Methods in java.lang.invoke that throw NoSuchMethodException
Modifier and Type
Method
Description
`MethodHandle`
MethodHandles.Lookup.`bind(Object receiver, String name, MethodType type)`
Produces an early-bound method handle for a non-static method.
`MethodHandle`
MethodHandles.Lookup.`findConstructor(Class<?> refc, MethodType type)`
Produces a method handle which creates an object and initializes it, using the constructor of the specified type.
`MethodHandle`
MethodHandles.Lookup.`findSpecial(Class<?> refc, String name, MethodType type, Class<?> specialCaller)`
Produces an early-bound method handle for a virtual method.
`MethodHandle`
MethodHandles.Lookup.`findStatic(Class<?> refc, String name, MethodType type)`
Produces a method handle for a static method.
`MethodHandle`
MethodHandles.Lookup.`findVirtual(Class<?> refc, String name, MethodType type)`
Produces a method handle for a virtual method.

## Uses of NoSuchMethodException in javax.management.relation

Methods in javax.management.relation that throw NoSuchMethodException
Modifier and Type
Method
Description
`void`
RelationService.`addRelation(ObjectName relationObjectName)`
Adds an MBean created by the user (and registered by him in the MBean Server) as a relation in the Relation Service.
`void`
RelationServiceMBean.`addRelation(ObjectName relationObjectName)`
Adds an MBean created by the user (and registered by him in the MBean Server) as a relation in the Relation Service.

## Uses of NoSuchMethodException in javax.script

Methods in javax.script that throw NoSuchMethodException
Modifier and Type
Method
Description
`Object`
Invocable.`invokeFunction(String name, Object... args)`
Used to call top-level procedures and functions defined in scripts.
`Object`
Invocable.`invokeMethod(Object thiz, String name, Object... args)`
Calls a method on a script object compiled during a previous script execution, which is retained in the state of the `ScriptEngine`.